/**
 * EasyBeans
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IArchive.java 5602 2010-10-01 15:49:31Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.ant.archive.api;

import org.ow2.easybeans.ant.archive.info.ArchiveInfo;

/**
 * Interface for archives.
 * @author Florent Benoit
 */
public interface IArchive {

    /**
     * Sets the information about an archive.
     * @param archiveInfo the object that holds data information.
     */
    void setArchiveInfo(final ArchiveInfo archiveInfo);

    /**
     * Execute the task by using either exploded or file mode.
     */
    void execute();

}
