/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ItfInvocation00.java 5602 2010-10-01 15:49:31Z sauthieg $
 * --------------------------------------------------------------------------
 */
package org.ow2.easybeans.tests.common.ejbs.base.invocationcontext;



/**
 * This interface is used to manipulate the invocation context.
 * @author Gisele Pinheiro Souza
 * @author Eduardo Studzinski E. de Castro
 */
public interface ItfInvocation00 {

    /**
     * Verifies if the Interceptor.getTarget()
     * returns an object with the same hashcode of the bean instance.
     */
    void check();

    /**
     * Allows the interceptor to store an information in the bean.
     * @param o information
     */
    void setInterceptorInfo(Object o);
}
