/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Master.java 5602 2010-10-01 15:49:31Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.tests.common.ejbs.entity.entitytest02;

import javax.persistence.Entity;
import javax.persistence.TableGenerator;

/**
 * The program type.
 * @author Gisele Pinheiro Souza
 * @author Eduardo Studzinski Estima de Castro
 */
@Entity
@TableGenerator(name  = "PROGRAM_SEQ", allocationSize = 1)
public class Master extends Program {

    /**
     * The master price.
     */
    private float price;

    /**
     * Returns the master price.
     * @return the price.
     */
    public float getPrice() {
        return price;
    }

    /**
     * Sets the master price.
     * @param price the price.
     */
    public void setPrice(final float price) {
        this.price = price;
    }

}
